> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slate.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# List QC processes

> Retrieve a paginated list of all QC processes with basic metadata.



## OpenAPI

````yaml /api-reference/qc/openapi.yaml get /v2/qc/processes
openapi: 3.0.0
info:
  title: QC API
  description: >-
    API for managing Quality Control checklists, requests, approving or
    rejecting requests, etc.
  version: 2.0.0
  contact:
    name: Slate API Support
    email: api-support@slate.inc
    url: https://slate.inc
servers:
  - url: https://api.slate.inc/qc
    description: Production
  - url: https://api.uat.slate.inc/qc
    description: UAT (staging)
security:
  - bearerAuth: []
paths:
  /v2/qc/processes:
    get:
      summary: List QC processes
      description: Retrieve a paginated list of all QC processes with basic metadata.
      parameters:
        - $ref: '#/components/parameters/limit'
        - $ref: '#/components/parameters/cursor'
        - $ref: '#/components/parameters/owner'
        - $ref: '#/components/parameters/orderDirection'
        - in: query
          name: orderBy
          description: The column to order the results by, defaults to `id`
          schema:
            type: string
            default: id
            enum:
              - id
              - createdOn
              - displayName
              - archivedOn
        - in: query
          name: filter
          description: One or more columns and their values on which to filter results
          style: deepObject
          schema:
            type: object
            properties:
              status:
                type: string
                enum:
                  - archived
                  - active
              displayName:
                type: string
              createdOn:
                type: string
              archivedOn:
                type: string
              checklistId:
                type: string
      responses:
        '200':
          description: A paginated list of QC processes
          content:
            application/json:
              schema:
                type: object
                properties:
                  qcProcesses:
                    type: array
                    items:
                      $ref: '#/components/schemas/QCProcess'
                  pagination:
                    $ref: '#/components/schemas/Pagination'
        '400':
          description: Invalid request parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized or invalid permissions
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Unexpected internal error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  parameters:
    limit:
      in: query
      name: limit
      required: false
      schema:
        type: integer
        default: 100
        minimum: 1
      description: The number of items to return per page (default 10).
    cursor:
      in: query
      name: cursor
      required: false
      schema:
        type: string
      description: The cursor for fetching the next page of results.
    owner:
      in: query
      name: owner
      required: true
      schema:
        type: string
      description: Owner to filter the results to.
    orderDirection:
      in: query
      name: orderDirection
      description: The direction to order the results by
      schema:
        type: string
        default: asc
        enum:
          - asc
          - desc
  schemas:
    QCProcess:
      type: object
      required:
        - id
        - owner
        - displayName
        - createdOn
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the QC process
        owner:
          type: string
          description: The ID of the owner
        displayName:
          type: string
          description: The display name of the QC process
        createdOn:
          type: string
          format: date-time
          description: Timestamp when the QC process was created
        archivedOn:
          type: string
          format: date-time
          description: Timestamp when the QC process was archived
        checklistId:
          type: string
          format: uuid
          description: Unique identifier for the QC checklist for this process
    Pagination:
      type: object
      properties:
        totalCount:
          type: integer
          description: Total number of templates available.
        previousCursor:
          type: string
          description: >-
            The cursor to fetch the previous page of results (empty string if
            there are no more pages).
        nextCursor:
          type: string
          description: >-
            The cursor to fetch the next page of results (empty string if there
            are no more pages).
    Error:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          description: A human readable error message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Owner-scoped bearer token. The `owner` a request is scoped to is derived
        from the token; list endpoints also take an explicit `owner` query
        parameter your token must be authorized to read.

````